Get PlatformUser by ID
curl --request GET \
--url https://platform.kodexa.ai/api/users/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://platform.kodexa.ai/api/users/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://platform.kodexa.ai/api/users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"active": true,
"bio": "<string>",
"businessGroup": "<string>",
"changeSequence": 123,
"createdOn": "2023-11-07T05:31:56Z",
"email": "<string>",
"firstName": "<string>",
"groupsJson": "<string>",
"id": "<string>",
"image": "<string>",
"invited": true,
"isExternallyManaged": true,
"lastName": "<string>",
"preferences": {
"showOnboarding": true,
"showScrollbars": true,
"showWelcomeMessage": true
},
"rolesJson": "<string>",
"searchText": "<string>",
"security": {
"roles": [
"<string>"
]
},
"showDeveloperTools": true,
"title": "<string>",
"updatedOn": "2023-11-07T05:31:56Z",
"userHash": "<string>",
"userStorage": {
"favoriteLinks": [
{
"link": "<string>"
}
]
},
"userType": "<string>",
"uuid": "<string>"
}Users
Get PlatformUser by ID
Retrieves a single PlatformUser by its unique identifier. Platform users represent user accounts in Kodexa.
GET
/
api
/
users
/
{id}
Get PlatformUser by ID
Authorizations
x-api-keybearerAuth
API key for authentication. Create one from the Kodexa platform UI under Settings > Access Tokens.
Path Parameters
Unique identifier (UUID) of the resource.
Response
The PlatformUser
A platform user represents a user account in the Kodexa platform.
Optimistic locking version number.
Timestamp when the user was created.
Unique identifier (UUID) for the user.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Timestamp when the user was last updated.
Show child attributes
Show child attributes
Secondary UUID identifier.
